
/**
 *
 *
 * @param {*} number  第几位
 * @param {*} src 名片头像
 * @param {*} name 名片名字
 * @param {*} qrCodeUrl 小程序codeURL图片
 */
const wxml = (name, img, title, desc, yd, qd, career, headerImg, qrImg) => `
<view class="wrap">
  <view class="headerImgWrap">
    <image src="`+headerImg+`"  class="headerImg"/>
  </view>

  <view class="topTitleWrap">
    <view class="line"></view>
    <text class="topTitle">` + name + `（`+title+`）</text>
  </view>
  <text class="descText textHeight1">` + desc + `</text>

  <view class="topTitleWrap">
    <view class="line"></view>
    <text class="topTitle">性格优点</text>
  </view>
  <text class="descText textHeight2">` + yd + `</text>

  <view class="topTitleWrap">
    <view class="line"></view>
    <text class="topTitle">性格缺点</text>
  </view>
  <text class="descText textHeight3">` + qd + `</text>

  <view class="topTitleWrap">
    <view class="line"></view>
    <text class="topTitle">职业偏好</text>
  </view>
  <text class="descText textHeight4">` + career + `</text>

  <text class="qrText">扫码免费测试</text>
  <image src="`+qrImg+`"  class="qrImg"/>
</view>
`

/**
 *
 *
 * @param {*} screenWidth 屏幕宽度
 * @param {*} canvasWidth  画布宽度
 * @param {*} canvasHeight  画布高度
 * @param {*} numberWidth  数字宽度，动态设置
 * @return {*}
 */
const style = (screenWidth, canvasWidth, canvasHeight) => {
  return {
    "wrap": {
      position: 'relative',
      width: canvasWidth,
      height: canvasHeight,
			backgroundColor: '#ecf0f3',
      padding: 10,
    },
    "headerImgWrap": {
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center',
      width: canvasWidth,
      position: 'relative',
			backgroundColor: '#ecf0f3',
    },
    "headerImg": {
      width: 594 * 0.5,
      height: 162 * 0.5,
    },
    "topTitleWrap": {
      position: 'relative',
      marginTop: 20,
    },
    "line": {
      height: 20,
      width: 5,
      backgroundColor: '#f65532',
    },
    "topTitle": {
      position: 'absolute',
      top: 0,
      left: 10,
      width: canvasWidth,
      height: 20,
      fontSize: 16,
      fontWeight: 600,
      color: '#f65532',
			backgroundColor: '#ecf0f3',
    },
    "desc": {
      position: 'relative',
      width: canvasWidth,
    },
    "descText": {
      width: canvasWidth - 20,
      fontSize: 13,
      marginTop: 20,
      color: '#333',
			backgroundColor: '#ecf0f3',
      padding: 20,
    },
    "textHeight1": {
      height: 180,
    },
    "textHeight2": {
      height: 180,
    },
    "textHeight3": {
      height: 180,
    },
    "textHeight4": {
      height: 150,
    },
    "qrText": {
      position: 'absolute',
      bottom: 130,
      left: 120,
      width: 130,
      height: 24,
      fontSize: 14,
      color: '#333',
			backgroundColor: '#ecf0f3',
    },
    "qrImg": {
      position: 'absolute',
      bottom: 40,
      left: 120,
      width: 80,
      height: 80,
    },
  }
}

module.exports = {
  wxml,
  style
}
